/*
 * This program source code file is part of SystemK, a library in the KTag project.
 *
 * 🛡️ <https://ktag.clubk.club> 🃞
 *
 * Copyright © 2016-2025 Joseph P. Kearney and the KTag developers.
 *
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU Affero General Public License as published by the Free
 * Software Foundation, either version 3 of the License, or (at your option) any
 * later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU Affero General Public License for more
 * details.
 *
 * There should be a copy of the GNU Affero General Public License in the LICENSE
 * file in the root of this repository.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef AUDIO_HW_INTERFACE_H
#define AUDIO_HW_INTERFACE_H

typedef enum
{
    AUDIO_SET_VOLUME,
    AUDIO_SILENCE,
    AUDIO_PLAY_STARTUP_SOUND,
    AUDIO_PLAY_SHOT_FIRED,
    AUDIO_PLAY_TAG_RECEIVED,
    AUDIO_PLAY_TAGGED_OUT,
    AUDIO_PLAY_MISFIRE,
    AUDIO_PRONOUNCE_NUMBER_0_TO_100,
    AUDIO_PLAY_MENU_PROMPT,
    AUDIO_PLAY_SELECTION_INDICATOR,
    AUDIO_PLAY_HEALTH_REMAINING,
    AUDIO_PLAY_ELECTRONIC_DANCE_MUSIC,
    AUDIO_PLAY_GENERIC_ERROR,
    AUDIO_PLAY_VOLUME_PROMPT,
    AUDIO_PLAY_RIGHT_HANDED,
    AUDIO_PLAY_LEFT_HANDED,
    AUDIO_PLAY_GAME_ON,
    AUDIO_PLAY_HARDWARE_SETTINGS_PROMPT,
    AUDIO_PLAY_GAME_SETTINGS_PROMPT,
    AUDIO_PLAY_BONK,
    AUDIO_PLAY_NEAR_MISS,
    AUDIO_PLAY_PLAYER_ID_PROMPT,
    AUDIO_PLAY_TEAM_ID_PROMPT,
    AUDIO_PLAY_FRIENDLY_FIRE,
    AUDIO_PLAY_STARTING_THEME,
    AUDIO_PLAY_BOOP,
    AUDIO_PLAY_BEEP,
    AUDIO_PLAY_REPROGRAMMING,
    AUDIO_PLAY_BOMB,
    AUDIO_PLAY_GAME_OVER
} AudioActionID_T;

typedef struct
{
    AudioActionID_T ID;
    bool Play_To_Completion;
    void * Data;
} AudioAction_T;

SystemKResult_T Perform_Audio_Action(AudioAction_T * action);
    
#endif // AUDIO_HW_INTERFACE_H
