/*
 * This program source code file is part of SystemK, a library in the KTag project.
 *
 * 🛡️ <https://ktag.clubk.club> 🃞
 *
 * Copyright © 2016-2025 Joseph P. Kearney and the KTag developers.
 *
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU Affero General Public License as published by the Free
 * Software Foundation, either version 3 of the License, or (at your option) any
 * later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU Affero General Public License for more
 * details.
 *
 * There should be a copy of the GNU Affero General Public License in the LICENSE
 * file in the root of this repository.  If not, see <http://www.gnu.org/licenses/>.
 */
    
#ifndef MENU_H
#define MENU_H
    
#include <stdbool.h>
#include <stdint.h>


typedef struct MenuItem_S
{   
    // Performs the actions required when this MenuItem receives focus.
    void (*OnFocus)(bool IncludeDetails);
    // Performs the actions required when this MenuItem receives focus.
    struct MenuItem_S const * (*OnSelect)(void);
    void (*OnIncrement)(void);
    void (*OnDecrement)(void);
    
} MenuItem_T;

extern MenuItem_T const * const RootMenu;

#include "GameSettings/GameMenuItem.h"
#include "GameSettings/PlayerIDMenuItem.h"
#include "GameSettings/TeamIDMenuItem.h"
#include "HardwareSettings/HardwareMenuItem.h"
#include "HardwareSettings/VolumeMenuItem.h"
#include "HardwareSettings/HandedMenuItem.h"

#endif // MENU_H
