
/*
 * This program source code file is part of SystemK, a library in the KTag project.
 *
 * 🛡️ <https://ktag.clubk.club> 🃞
 *
 * Copyright © 2016-2025 Joseph P. Kearney and the KTag developers.
 *
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU Affero General Public License as published by the Free
 * Software Foundation, either version 3 of the License, or (at your option) any
 * later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU Affero General Public License for more
 * details.
 *
 * There should be a copy of the GNU Affero General Public License in the LICENSE
 * file in the root of this repository.  If not, see <http://www.gnu.org/licenses/>.
 */



//    /\   /\\   /\   /\\                                 TM
//   (  ) || || (  ) || || |''||''| '||''|.    ..|'''.| 
//     // || ||   // || ||    ||     ||   || .|'     '  
//    //  || ||  //  || ||    ||     ||...|' ||     
//   /(   || || /(   || ||    ||     ||      '|.      . 
//   {___  \\/  {___  \\/    .||.   .||.      ''|....'  
//
//
//   _____  _____  _____ ___________         _       _ 
//  |____ |/ __  \|  ___/  ___| ___ \       (_)     | |
//      / /`' / /'| |__ \ `--.| |_/ /__  ___ _  __ _| |
//      \ \  / /  |  __| `--. \  __/ _ \/ __| |/ _` | |
//  .___/ /./ /___| |___/\__/ / | |  __/ (__| | (_| | |
//  \____/ \_____/\____/\____/\_|  \___|\___|_|\__,_|_|



//! Zero-based index of the Barrel Flash NeoPixel in the sequence of NeoPixels. 
#define BARREL_FLASH_PIXEL 0

//! Zero-based index of the Receiver Indicator NeoPixel in the sequence of NeoPixels. 
#define RECEIVER_INDICATOR_PIXEL 0

//! Zero-based index of the right Receiver Indicator NeoPixel in the sequence of NeoPixels. 
#define RIGHT_RECEIVER_INDICATOR_PIXEL 1

//! Zero-based index of the left Receiver Indicator NeoPixel in the sequence of NeoPixels. 
#define LEFT_RECEIVER_INDICATOR_PIXEL 2

static inline __attribute__((always_inline)) void NeoPixels_Set_Color_On_All_Channels(uint8_t position, color_t color) 
{
    HW_NeoPixels_Set_RGB(NEOPIXEL_CHANNEL_BARREL, position, Gamma8[Red(color)], Gamma8[Green(color)], Gamma8[Blue(color)]);
    HW_NeoPixels_Set_RGB(NEOPIXEL_CHANNEL_RECEIVER, position, Gamma8[Red(color)], Gamma8[Green(color)], Gamma8[Blue(color)]);
    HW_NeoPixels_Set_RGB(NEOPIXEL_CHANNEL_DISPLAY, position, Gamma8[Red(color)], Gamma8[Green(color)], Gamma8[Blue(color)]);
    HW_NeoPixels_Set_RGB(NEOPIXEL_CHANNEL_EFFECTS, position, Gamma8[Red(color)], Gamma8[Green(color)], Gamma8[Blue(color)]);
}
