/*
 * This program source code file is part of SystemK, a library in the KTag project.
 *
 * 🛡️ <https://ktag.clubk.club> 🃞
 *
 * Copyright © 2016-2025 Joseph P. Kearney and the KTag developers.
 *
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU Affero General Public License as published by the Free
 * Software Foundation, either version 3 of the License, or (at your option) any
 * later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU Affero General Public License for more
 * details.
 *
 * There should be a copy of the GNU Affero General Public License in the LICENSE
 * file in the root of this repository.  If not, see <http://www.gnu.org/licenses/>.
 */

/** \file
 *  \brief This file defines the possible results of calls to the KTag system (SystemK).
 *
 */

#ifndef RESULTS_H
#define RESULTS_H

typedef enum
{
    SYSTEMK_RESULT_SUCCESS = 0,
    SYSTEMK_RESULT_UNSPECIFIED_FAILURE,
    SYSTEMK_RESULT_NOT_IMPLEMENTED,
    SYSTEMK_RESULT_NOT_ENOUGH_MEMORY,
    SYSTEMK_RESULT_WRONG_DATATYPE,
    SYSTEMK_RESULT_TOO_FEW_DATA,
    SYSTEMK_RESULT_TOO_MANY_DATA,
    SYSTEMK_RESULT_QUEUE_IS_FULL,
    SYSTEMK_RESULT_NOT_READY,
    SYSTEMK_RESULT_FAILED_TO_CREATE_RTOS_TASK,
    SYSTEMK_RESULT_FILE_NOT_FOUND,
    SYSTEMK_RESULT_KEY_NOT_FOUND,
    SYSTEMK_RESULT_READ_FAILED,
    SYSTEMK_RESULT_WRITE_FAILED,
    SYSTEMK_RESULT_OVERFLOW,
    SYSTEMK_RESULT_UNDERFLOW
} SystemKResult_T;

#endif // RESULTS_H
