/*
 * This program source code file is part of SystemK, a library in the KTag project.
 *
 * 🛡️ <https://ktag.clubk.club> 🃞
 *
 * Copyright © 2016-2025 Joseph P. Kearney and the KTag developers.
 *
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU Affero General Public License as published by the Free
 * Software Foundation, either version 3 of the License, or (at your option) any
 * later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU Affero General Public License for more
 * details.
 *
 * There should be a copy of the GNU Affero General Public License in the LICENSE
 * file in the root of this repository.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef SETTINGS_INTERFACE_H
#define SETTINGS_INTERFACE_H

#define SYSTEMK_MAX_CHARS_IN_DEVICE_NAME 16
    
typedef enum
{
    SYSTEMK_SETTING_DEVICE_TYPE,
    SYSTEMK_SETTING_IS_RIGHT_HANDED,
    SYSTEMK_SETTING_AUDIO_VOLUME,
    SYSTEMK_SETTING_TEAMID,
    SYSTEMK_SETTING_PLAYERID,
    SYSTEMK_SETTING_WEAPONID,
    SYSTEMK_SETTING_MAX_HEALTH,
    SYSTEMK_SETTING_N_SPECIAL_WEAPONS_ON_REENTRY,
    SYSTEMK_SETTING_T_START_GAME_in_ms,
    SYSTEMK_SETTING_T_GAME_LENGTH_in_ms,
    SYSTEMK_SETTING_SECONDARY_COLOR
} SystemKSettingID_T;

SystemKResult_T SETTINGS_get_uint8_t(SystemKSettingID_T id, uint8_t * value);
SystemKResult_T SETTINGS_set_uint8_t(SystemKSettingID_T id, uint8_t value);
SystemKResult_T SETTINGS_get_uint32_t(SystemKSettingID_T id, uint32_t * value);
SystemKResult_T SETTINGS_set_uint32_t(SystemKSettingID_T id, uint32_t value);
SystemKResult_T SETTINGS_get_device_name(char* name);
SystemKResult_T SETTINGS_set_device_name(char* name);
SystemKResult_T SETTINGS_Save(void);
    
#endif // SETTINGS_INTERFACE_H
